const fastify = require('fastify')({ logger: true });
const categoriesRoutes = require('./features/categories/categoriesController');
const productsRoutes = require('./features/products/productsController');

fastify.register(categoriesRoutes);
fastify.register(productsRoutes);

const start = async () => {
    try {
        await fastify.listen({ port: 80, host: '0.0.0.0' });
        console.log(`Server started on port 80`);
    } catch (err) {
        fastify.log.error(err);
        process.exit(1);
    }
};

start();